Bug 169968 - segmentation fault when starting transfer of large number of files
segmentation fault when starting transfer of large number of files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gftp (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 18:45 EDT by Orion Poplawski
Modified: 2008-05-06 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-05 18:45:03 EDT
Description of problem:

Try ftping to saver.larc.nasa.gov.  Go to /Data/Version_00/Level2A/2004.  Select
all the directories and start download.  After processing some number of
directories (~60) it will crash with a segmentation fault.


Version-Release number of selected component (if applicable):
gftp-2.0.18-2

How reproducible:
Very
Comment 1 Orion Poplawski 2005-10-05 19:09:31 EDT
Oops, the above should be saber.larc.nasa.gov

Another example:

ftp  podaac.jpl.nasa.gov
cd /pub/ocean_wind/quikscat/L2B/data/2005/240

try to transfer all files in this directory (ca. 14). 
Comment 2 Warren Togami 2005-10-05 21:40:51 EDT
You know the drill.  We need a traceback after installing debuginfo.
Comment 3 Orion Poplawski 2005-10-06 12:49:47 EDT
Sorry Warren, indeed I do :-).

Here's what I got from the corefile:

#0  0x00000004 in ?? ()
#1  0x0048ef9e in check_invariants (iter=0x1) at gtktextiter.c:393
#2  0x00dc017c in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x09467f58 in ?? ()
#4  0x0936c6b8 in ?? ()
#5  0xb7c4a208 in ?? ()
#6  0x00d65c24 in IA__g_free (mem=0x65672074) at gmem.c:187
Previous frame inner to this frame (corrupt stack?)

Which looks useless.

Running under gdb it hangs:

[New Thread -1211618384 (LWP 32257)]
[Thread -1211618384 (LWP 32257) exited]

orion    32171  4957  0 10:34 pts/14   00:00:01 gdb /usr/bin/gftp-gtk
orion    32173 32171  1 10:35 pts/14   00:00:04 [gftp-gtk] <defunct>

# strace -fp 32171
Process 32171 attached - interrupt to quit
waitpid(32173,  <unfinished ...>
Process 32171 detached
# strace -fp 32173
attach: ptrace(PTRACE_ATTACH, ...): Operation not permitted


So, not sure what to do next...
Comment 4 Christian Iseli 2007-01-19 19:14:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Orion Poplawski 2007-01-22 13:22:53 EST
Still a problem with FC6.  core file is still apparently worthless:

Failed to read a valid object file image from memory.
Core was generated by `gftp-gtk'.
Program terminated with signal 11, Segmentation fault.
#0  0x00461402 in ?? ()
(gdb) bt
#0  0x00461402 in ?? ()
#1  0xffffffff in ?? ()
#2  0xe27db8e1 in ?? ()
#3  0x00000030 in ?? ()
#4  0x0a212040 in ?? ()
#5  0x00316f78 in archfname () from /lib/libc.so.6
#6  0x0032f120 in __after_morecore_hook () from /lib/libc.so.6
#7  0x0a201c98 in ?? ()
#8  0xb6e12228 in ?? ()
#9  0x0025e6f0 in free () from /lib/libc.so.6
#10 0x09fbb768 in ?? ()
#11 0x00000018 in ?? ()
#12 0x00000020 in ?? ()
#13 0x00000000 in ?? ()
Comment 6 Ralf Kleineisel 2007-06-05 10:20:04 EDT
For me it gives this error message on the command line:

$gftp
*** glibc detected *** /usr/bin/gftp-gtk: double free or corruption (out):
0xb6519150 ***
*** glibc detected *** /usr/bin/gftp-gtk: corrupted double-linked list:
0xb6518db8 ***
Comment 7 Bug Zapper 2008-04-03 22:02:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 11:31:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.